npm安装模块报错module_not_found是怎么回事?

rocky191
  • 219

npm安装模块报错module_not_found是怎么回事?前一段时间还好好地,之前电脑出问题后重装了node,之前安装好的程序用node可以正常使用,安装新的模块就报错。报错如下图
图片描述

查看了log文件,也不太清楚是怎么回事,百度了半天找不到对应的问题,只能发帖了,求助大神。log文件内容如下

0 info it worked if it ends with ok
1 verbose cli [ 'D:\\Program Files\\nodejs\\node.exe',
1 verbose cli   'D:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js',
1 verbose cli   'install',
1 verbose cli   '--save-dev' ]
2 info using npm@5.5.1
3 info using node@v8.9.0
4 verbose npm-session 17043fe4b79ee516
5 verbose stack Error: Cannot find module 'internal/util/types'
5 verbose stack     at Function.Module._resolveFilename (module.js:536:15)
5 verbose stack     at Function.Module._load (module.js:466:25)
5 verbose stack     at Module.require (module.js:579:17)
5 verbose stack     at require (internal/module.js:11:18)
5 verbose stack     at evalmachine.<anonymous>:31:26
5 verbose stack     at Object.<anonymous> (D:\Program Files\nodejs\node_modules\npm\node_modules\cmd-shim\node_modules\graceful-fs\fs.js:11:1)
5 verbose stack     at Module._compile (module.js:635:30)
5 verbose stack     at Object.Module._extensions..js (module.js:646:10)
5 verbose stack     at Module.load (module.js:554:32)
5 verbose stack     at tryModuleLoad (module.js:497:12)
5 verbose stack     at Function.Module._load (module.js:489:3)
5 verbose stack     at Module.require (module.js:579:17)
5 verbose stack     at require (internal/module.js:11:18)
5 verbose stack     at Object.<anonymous> (D:\Program Files\nodejs\node_modules\npm\node_modules\cmd-shim\node_modules\graceful-fs\graceful-fs.js:3:27)
5 verbose stack     at Module._compile (module.js:635:30)
5 verbose stack     at Object.Module._extensions..js (module.js:646:10)
6 verbose cwd E:\daima\HBuilder\testES6
7 verbose Windows_NT 6.1.7601
8 verbose argv "D:\\Program Files\\nodejs\\node.exe" "D:\\Program Files\\nodejs\\node_modules\\npm\\bin\\npm-cli.js" "install" "--save-dev"
9 verbose node v8.9.0
10 verbose npm  v5.5.1
11 error code MODULE_NOT_FOUND
12 error Cannot find module 'internal/util/types'
13 verbose exit [ 1, true ]

回复
阅读 33k
1 个回答
XiuBug
  • 8.5k
✓ 已被采纳

应该是由于之前版本的node和npm文件或缓存导致的!以管理员身份找到npm位置,删除npm文件夹和npm-cache,然后找到nodejs文件位置,删除里面文件,然后重新下载安装node.js。

撰写回答
你尚未登录,登录后可以
  • 和开发者交流问题的细节
  • 关注并接收问题和回答的更新提醒
  • 参与内容的编辑和改进,让解决方法与时俱进
宣传栏